org.apache.poi.hslf.dev

## Class PPTXMLDump

- java.lang.Object
- - org.apache.poi.hslf.dev.PPTXMLDump

-     public final class PPTXMLDump
      extends java.lang.Object

  Utility class which dumps raw contents of a ppt file into XML format

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPTXMLDump(java.io.File ppt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(byte[] data, int offset, int length, int padding)` Dump a part of the document stream into XML
    `void` | `dump(java.io.Writer outWriter)` Dump the structure of the supplied PPT file into XML
    `void` | `dumpPictures(byte[] data, int padding)` Dumps the Pictures OLE stream into XML.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPTXMLDump

          public PPTXMLDump(java.io.File ppt)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### dump

          public void dump(java.io.Writer outWriter)
                    throws java.io.IOException

      Dump the structure of the supplied PPT file into XML
      Parameters:
        `outWriter` - `Writer` to write out
      Throws:
        `java.io.IOException` - If writing to the writer fails

    - #### dump

          public void dump(byte[] data,
                           int offset,
                           int length,
                           int padding)
                    throws java.io.IOException

      Dump a part of the document stream into XML
      Parameters:
        `data` - PPT binary data
        `offset` - offset from the beginning of the document
        `length` - of the document
        `padding` - used for formatting results
      Throws:
        `java.io.IOException` - If writing out information fails

    - #### dumpPictures

          public void dumpPictures(byte[] data,
                                   int padding)
                            throws java.io.IOException

      Dumps the Pictures OLE stream into XML.
      Parameters:
        `data` - from the Pictures OLE data stream
        `padding` - How many leading blanks to add in the output
      Throws:
        `java.io.IOException` - If writing out information fails

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.